.container {
    position: relative;
    width: 100%;
    min-height: 100dvh;
    min-height: -webkit-fill-available;
}

.fixed-area {
    position: fixed;
    top: 0;
    left: 0;
    width: 65vw;
    height: 100dvh;
    min-height: 100svh;
    background-position: center;
    background-size: cover;
    color: var(--color-light);
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.fixed-area::after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        rgba(0,0,0,0.2),
        rgba(0,0,0,0.2)
    );
    pointer-events: none;
    z-index: 0;
}

/* pastikan teks/isi di atas overlay */
.fixed-area > * { position: relative; z-index: 1; }

/* .fixed-area h1 {
    font-family: var(--font-heading);
    font-size: 1.5rem;
} */

.scrollable-content {
    position: fixed;
    right: 0;
    top: 0;
    width: 35vw;
    min-height: 100dvh;
    min-height: -webkit-fill-available;
    padding-bottom: env(safe-area-inset-bottom);
    overflow: hidden;
    background: transparent;
    min-width: 0;
    z-index: 0;
}

.slideshow {
    position: absolute;
    inset: 0;
    z-index: 1;
    overflow: hidden;
    pointer-events: none;
}

.slide {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    /* animation: fade 20s infinite both ease-in-out; */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    will-change: opacity, transform;
    transform-origin: center center ;
    backface-visibility: hidden;
}

.slide::after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4));
    z-index: 1;
    pointer-events: none; /* penting supaya tidak menghalangi interaksi */
}

/* =========================
   SLIDE 1
   ZOOM IN
========================= */

.s1 {
    animation:
        fade 20s linear infinite,
        zoomIn 20s linear infinite;

    animation-delay: 0s;
}

/* =========================
   SLIDE 2
   ZOOM OUT
========================= */

.s2 {
    animation:
        fade 20s linear infinite,
        zoomOut 20s linear infinite;

    animation-delay: 5s;
}

/* =========================
   SLIDE 3
   ZOOM IN
========================= */

.s3 {
    animation:
        fade 20s linear infinite,
        zoomIn 20s linear infinite;

    animation-delay: 10s;
}

/* =========================
   SLIDE 4
   ZOOM OUT
========================= */

.s4 {
    animation:
        fade 20s linear infinite,
        zoomOut 20s linear infinite;

    animation-delay: 15s;
}

/* =========================
   FADE
========================= */

@keyframes fade {

    0% {
        opacity: 0;
    }

    8% {
        opacity: 1;
    }

    30% {
        opacity: 1;
    }

    38% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

/* =========================
   ZOOM IN
========================= */

@keyframes zoomIn {
    0%   { transform: scale(1); }
    50%  { transform: scale(1.1); }
    100% { transform: scale(1); }
}

/* =========================
   ZOOM OUT
========================= */

@keyframes zoomOut {
    0%   { transform: scale(1.1); }
    50%  { transform: scale(1); }
    100% { transform: scale(1.1); }
}

.content-overlay {
    position: relative;
    inset: 0;
    z-index: 2;
    height: 100dvh;
    overflow-x: hidden; 
    overflow-y: hidden;
    scroll-snap-type: y mandatory;
    -webkit-overflow-scrolling: touch;

    touch-action: pan-y;
    overscroll-behavior: none;
    background: transparent;
}   

.content-overlay.scroll-enabled {
    overflow-y: auto;
}